Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000705Documentation, Examples, and Web SiteWriting with Informpublic2011-07-19 05:142014-05-07 07:38
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000705: Manual (3.17) incorrectly states that people can be "male, female, or neuter",
DescriptionThe manual (3.17) states:


People can be male, female, or neuter: this is an attribute for the "person" kind, and it affects play at run-time a little, because the player can use "him" and "her" to refer to male or female people encountered, or "it" for neuter animals. Men and women are always male and female respectively, but the gender of an animal can be any of the three: male or female if we want (say) a stallion or a nanny goat; neuter if we want a beetle or an earthworm.


This text certainly gives the impression that any person will be either male, or female, or neuter. But this is not true: male / female and neuter / not neuter are both either/or-properties, and a person can be both female and neuter, for instance. This misleading passage in the manual should be rewritten.
Minimal Source Text To Reproduce
"Gender" by Victor Gijsbers

Church is a room.

A monster is a kind of person. A monster is usually neuter.

Mary is a female monster in Church.

Test me with "showme mary".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001221)
Victor Gijsbers (reporter)
2011-07-19 05:33

Related to issue 706: http://inform7.com/mantis/view.php?id=706 [^]
(0001413)
graham (administrator)
2011-10-18 13:36

I agree with this, and have rewritten the relevant paragraphs.

- Issue History
Date Modified Username Field Change
2011-07-19 05:14 Victor Gijsbers New Issue
2011-07-19 05:33 Victor Gijsbers Note Added: 0001221
2011-07-26 00:03 jmcgrew Status new => acknowledged
2011-07-26 08:55 EmacsUser Status acknowledged => confirmed
2011-10-18 13:36 graham Note Added: 0001413
2011-10-18 13:36 graham Status confirmed => resolved
2011-10-18 13:36 graham Resolution open => fixed
2011-10-18 13:36 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker